Summary: Run all httpd process under user's access right.
Name: mod_ruid2
Version: 0.9.8
Release: 5.art
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/mod-ruid/
Source0: http://sourceforge.net/projects/mod-ruid/files/mod_ruid2/mod_ruid2-%{version}.tar.bz2
License: Apache Software License version 2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: httpd-devel >= 2.0.40 libcap-devel
#BuildRequires: /usr/sbin/apxs
Requires: httpd >= 2.0.40 libcap
Obsoletes: mod_ruid
BuildRequires: apr-devel

%description
With this module, all httpd process run under user's access right, not nobody or apache.
mod_ruid2 is similar to mod_suid2, but has better performance than mod_suid2 because it
doesn`t need to kill httpd children after one request. It makes use of kernel capabilites
and after receiving a new request suids again. If you want to run apache modules, i.e.
WebDAV, PHP, and so on under user's right, this module is useful.

%prep
%setup -q

%build
%if  0%{?fedora} >= 18
%{_bindir}/apxs -l cap -c %{name}.c
%else
%{_sbindir}/apxs -l cap -c %{name}.c
%endif
mv .libs/%{name}.so .
%{__strip} -g %{name}.so

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 ruid2.conf \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

%post
# Fixup for eaccelerator
if [ -d /var/cache/php-eaccelerator/ ]; then
  chmod 777 /var/cache/php-eaccelerator/*
fi

# Fixup for sessions
if [ -d /var/lib/php/session ]; then
  chmod 777 /var/lib/php/session
fi
    
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE
%attr(755,root,root)%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf


%changelog
* Thu Mar 28 2013 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.7-5
- Update to 0.9.8

* Fri May 25 2012 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.7-4
- Update to 0.9.7

* Mon Apr 16 2012 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.6-3
- Update to 0.9.6

* Thu Apr 12 2012 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.5-2
- Update to 0.9.5

* Tue Feb 22 2011 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.4-1
- Update to 0.9.4

* Mon Jan 5 2011 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.3-1
- Update to 0.9.3

* Mon Jan 3 2011 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.2-1
- Update to 0.9.2

* Mon Dec 20 2010 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9.1-2
- Updated conf to run as apache
- Fixups for eaccelerator & php sessions directories. 

* Mon Oct 18 2010 Kees Monshouwer <km|monshouwer_com> 0.9.1-1
- Update to 0.9.1

* Wed Jun 23 2010 Kees Monshouwer <km|monshouwer_com> 0.9-1
- Added chroot functionality 
- Update to 0.9

* Mon Jun 21 2010 Kees Monshouwer <km|monshouwer_com> 0.8.2-1
- Added drop capability mode to drop capabilities permanent after set[ug]id
- Update to 0.8.2

* Thu May 27 2010 Kees Monshouwer <km|monshouwer_com> 0.8.1-1
- Changed module name to mod_ruid2
- Update to 0.8.1

* Mon Apr 12 2010 Kees Monshouwer <km|monshouwer_com> 0.8-1
- Update to 0.8

* Wed Oct 21 2009 Kees Monshouwer <km|monshouwer_com> 0.7.1-1
- Fixed security problem in config

* Sun Sep 27 2009 Kees Monshouwer <km|monshouwer_com> 0.7-1
- Added per directory config option

* Wed Aug 29 2007 Kees Monshouwer <km|monshouwer_com> 0.6-3.1
- Build for CentOS 5

* Fri Sep 07 2006 Kees Monshouwer <km|monshouwer_com> 0.6-3
- Fixed first child request groups bug

* Fri Sep 07 2006 Kees Monshouwer <km|monshouwer_com> 0.6-2
- Fixed some uninitalized vars and a typo
- Changed the default user and group to apache 

* Wed Mar 08 2006 Kees Monshouwer <km|monshouwer_com> 0.6-1
- Inital build for CentOS 4.2
